.NET

Reply
Valued Mentor
AubelecBE
Posts: 373
Registered: ‎01-27-2010
Message 1 of 2 (142 Views)

How to check and manage Unit for insert a BlockReference

142 Views, 1 Replies
02-26-2012 10:38 AM

Hi all i have a VBA code for check and choose unit but how i can in .NET ?

    Unite = ThisDrawing.GetVariable("INSUNITS")
    Select Case Unite
      Case 4: Unite = 10 'mm
      Case 5: Unite = 1   'cm
      Case 6: Unite = 0.01   'm
      Case Else: Unite = 1
    End Select

 i dont find help for this..

db.UnitMode is always = 0

i have try this :

Dim BlocT As BlockTable
        Dim tr As Transaction = db.TransactionManager.StartTransaction
        BlocT = tr.GetObject(db.BlockTableId, OpenMode.ForRead)
        Dim Bloc As BlockTableRecord
        Bloc = tr.GetObject(BlocT(BlockTableRecord.ModelSpace), OpenMode.ForRead)
        Dim lay As Layout = tr.GetObject(Bloc.LayoutId, OpenMode.ForRead)
        tr.Commit()
        tr.Dispose()

 but bloc.units dont egal the unit command in autocad.

I can use  :

Dim obj As Object = Application.GetSystemVariable("INSUNITS")

but i want a proper solution with .net.

 

anyone can help ?

Moderator
Alexander.Rivilis
Posts: 1,398
Registered: ‎04-09-2008
Message 2 of 2 (136 Views)

Re: How to check and manage Unit for insert a BlockReference

02-26-2012 11:45 AM in reply to: AubelecBE

Database.Insunits ?


Пожалуйста не забывайте про Утвердить в качестве решения! Утвердить в качестве решения и Give Kudos!Баллы
Please remember to Accept Solution! Accept as Solution and Give Kudos!Kudos

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community